Account Signals

Signals:

- account-created
- account-destroying
- account-added
- account-connecting
- account-removed
- account-disabled
- account-enabled
- account-setting-info
- account-set-info
- account-status-changed
- account-actions-changed
- account-alias-changed
- account-authorization-requested
- account-authorization-requested-with-message
- account-authorization-denied
- account-authorization-granted
- account-error-changed
- account-signed-on
- account-signed-off
- account-connection-error

See also
  account.h

# account-created

void (*account_created)(PurpleAccount *account);

Description:
  Emitted when an account is created by calling purple_account_new.

Parameters

  account | The account.

Since
  2.6.0

# account-destroying

void (*account_destroying)(PurpleAccount *account);

Description:
  Emitted when an account is about to be destroyed.

Parameters

  account | The account.

Since
  2.6.0

# account-added

void (*account_added)(PurpleAccount *account);

Description:
  Emitted when an account is added.

Parameters

  account | The account that was added.

See also
  purple_accounts_add

# account-connecting

void (*account_connecting)(PurpleAccount *account);

Description:
  This is called when an account is in the process of connecting.

Parameters

  account | The account in the process of connecting.

# account-removed

void (*account_removed)(PurpleAccount *account);

Description:
  Emitted when an account is removed.

Parameters

  account | The account that was removed.

See also
  purple_accounts_remove

# account-disabled

void (*account_disabled)(PurpleAccount *account);

Description:
  Emitted when an account is disabled.

Parameters

  account | The account that was disabled.

# account-enabled

void (*account_enabled)(PurpleAccount *account);

Description:
  Emitted when an account is enabled.

Parameters

  account | The account that was enabled.

# account-setting-info

void (*account_setting_info)(PurpleAccount *account, const char *new_info);

Description:
  Emitted when a user is about to send his new user info, or profile, to the server.

Parameters

  account | The account that the info will be set on.
  new_info | The new information to set.

# account-set-info

void (*account_set_info)(PurpleAccount *account, const char *new_info);

Description:
  Emitted when a user sent his new user info, or profile, to the server.

Parameters

  account | The account that the info was set on.
  new_info | The new information set.

# account-status-changed

void (*account_status_changed)(PurpleAccount *account, PurpleStatus *old, PurpleStatus *new);

Description:
  Emitted when the status of an account changes (after the change).

Parameters

  account | The account that changed status.
  old | The status before change.
  new | The status after change.

# account-actions-changed

void (*account_actions_changed)(PurpleAccount *account);

Description:
  Emitted when the account actions are changed after initial connection.

Parameters

  account | The account whose actions changed.

# account-alias-changed

void (*account_alias_changed)(PurpleAccount *account, const char *old);

Description:
  Emitted when the alias of an account changes (after the change).

Parameters

  account | The account for which the alias was changed.
  old | The alias before change.

# account-authorization-requested

int (*account_authorization_requested)(PurpleAccount *account, const char *user);

Description:
  Emitted when a user requests authorization.

Parameters

  account | The account.
  user | The name of the user requesting authorization.

Returns
  Less than zero to deny the request without prompting, greater than zero if the request should be granted. If zero is returned, then the user will be prompted with the request.

Since
  2.3.0

# account-authorization-requested-with-message

int (*account_authorization_requested)(PurpleAccount *account, const char *user, const char *message);

Description:
  Emitted when a user requests authorization.

Parameters

  account | The account.
  user | The name of the user requesting authorization.
  message | The authorization request message

Returns
  PURPLE_ACCOUNT_RESPONSE_IGNORE to silently ignore the request, PURPLE_ACCOUNT_RESPONSE_DENY to block the request (the sender might get informed, PURPLE_ACCOUNT_RESPONSE_ACCEPT if the request should be granted. If PURPLE_ACCOUNT_RESPONSE_PASS is returned, then the user will be prompted with the request.

Since
  2.8.0

# account-authorization-denied

void (*account_authorization_denied)(PurpleAccount *account, const char *user);

Description:
  Emitted when the authorization request for a buddy is denied.

Parameters

  account | The account.
  user | The name of the user requesting authorization.

Since
  2.3.0

# account-authorization-granted

void (*account_authorization_granted)(PurpleAccount *account, const char *user);

Description:
  Emitted when the authorization request for a buddy is granted.

Parameters

  account | The account.
  user | The name of the user requesting authorization.

Since
  2.3.0

# account-error-changed

void (*account_error_changed)(PurpleAccount *account, const PurpleConnectionErrorInfo *old_error, const PurpleConnectionErrorInfo *current_error);

Description:
  Emitted when account's error changes. You should not call purple_account_clear_current_error() while this signal is being emitted.

Parameters

  account | The account whose error has changed.
  old_error | The account's previous error, or `NULL` if it had no error. After this signal is emitted, old_error is not guaranteed to be a valid pointer.
  new_error | The account's new error, or `NULL` if it has no error. If not `NULL`, new_error will remain a valid until pointer just after the next time this signal is emitted for this account.

See also
  purple_account_get_current_error()

Since
  2.3.0

# account-signed-on

void (*signed_on)(PurpleAccount *account);

Description:
  Emitted when an account has signed on.

Parameters

  account | The account that has signed on.

Since
  2.7.0

# account-signed-off

void (*signed_off)(PurpleAccount *account);

Description:
  Emitted when an account has signed off.

Parameters

  account | The account that has signed off.

Since
  2.7.0

# account-connection-error

void (*connection_error)(PurpleAccount *gc, PurpleConnectionError err, const gchar *desc)

Description:
  Emitted when a connection error occurs, before signed-off.

Parameters

  account | The account on which the error has occurred
  err | The error that occurred
  desc | A description of the error, giving more information.

Since
  2.7.0